org.springframework.batch.item.xml.stax

## Class NoStartEndDocumentStreamWriter

- java.lang.Object
- - org.springframework.batch.item.xml.stax.NoStartEndDocumentStreamWriter

- All Implemented Interfaces:
    javax.xml.stream.util.XMLEventConsumer, javax.xml.stream.XMLEventWriter

      public class NoStartEndDocumentStreamWriter
      extends java.lang.Object

  Delegating XMLEventWriter, which ignores start and end document events, but passes through everything else.
  Author:
    peter.zozom, Robert Kasanicky

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.xml.stream.XMLEventWriter` | `wrappedEventWriter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoStartEndDocumentStreamWriter(javax.xml.stream.XMLEventWriter wrappedEventWriter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(javax.xml.stream.events.XMLEvent event)`
    `void` | `add(javax.xml.stream.XMLEventReader reader)`
    `void` | `close()`
    `void` | `flush()`
    `javax.xml.namespace.NamespaceContext` | `getNamespaceContext()`
    `java.lang.String` | `getPrefix(java.lang.String uri)`
    `void` | `setDefaultNamespace(java.lang.String uri)`
    `void` | `setNamespaceContext(javax.xml.namespace.NamespaceContext context)`
    `void` | `setPrefix(java.lang.String prefix, java.lang.String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wrappedEventWriter

          protected javax.xml.stream.XMLEventWriter wrappedEventWriter

  - ### Constructor Detail

    - #### NoStartEndDocumentStreamWriter

          public NoStartEndDocumentStreamWriter(javax.xml.stream.XMLEventWriter wrappedEventWriter)

  - ### Method Detail

    - #### add

          public void add(javax.xml.stream.events.XMLEvent event)
                   throws javax.xml.stream.XMLStreamException

      Specified by:
        `add` in interface `javax.xml.stream.util.XMLEventConsumer`
      Specified by:
        `add` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### close

          public void close()
                     throws javax.xml.stream.XMLStreamException

      Specified by:
        `close` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### add

          public void add(javax.xml.stream.XMLEventReader reader)
                   throws javax.xml.stream.XMLStreamException

      Specified by:
        `add` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### flush

          public void flush()
                     throws javax.xml.stream.XMLStreamException

      Specified by:
        `flush` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getNamespaceContext

          public javax.xml.namespace.NamespaceContext getNamespaceContext()

      Specified by:
        `getNamespaceContext` in interface `javax.xml.stream.XMLEventWriter`

    - #### getPrefix

          public java.lang.String getPrefix(java.lang.String uri)
                                     throws javax.xml.stream.XMLStreamException

      Specified by:
        `getPrefix` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### setDefaultNamespace

          public void setDefaultNamespace(java.lang.String uri)
                                   throws javax.xml.stream.XMLStreamException

      Specified by:
        `setDefaultNamespace` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### setNamespaceContext

          public void setNamespaceContext(javax.xml.namespace.NamespaceContext context)
                                   throws javax.xml.stream.XMLStreamException

      Specified by:
        `setNamespaceContext` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### setPrefix

          public void setPrefix(java.lang.String prefix,
                                java.lang.String uri)
                         throws javax.xml.stream.XMLStreamException

      Specified by:
        `setPrefix` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`